Skip to main content
GET
/
artists
/
search
Search Artists
curl --request GET \
  --url https://api.inprocess.world/api/artists/search
import requests

url = "https://api.inprocess.world/api/artists/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.inprocess.world/api/artists/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "artists": [
    {
      "address": "0x51027631B9DEF86e088C33368eC4E3A4BE0aD264",
      "username": "matt"
    }
  ]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
{
"status": "error",
"message": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}

Query Parameters

query
string
required

The username prefix to search for. Matching is case-insensitive and uses prefix matching (e.g. mat matches matt, Matilda).

Minimum string length: 1
limit
integer
default:10

Maximum number of artists to return.

Required range: 1 <= x <= 50

Response

Successful response

artists
object[]
required

Artists matching the search query, ordered by the database default.